Inquiry OVO

API to check whether OVO number is valid or invalid.

Path

MethodPath
POSTapi/inquiry-ovo

Test Case

Use below test case in development environment only.

customer_idResponse Message
082179374778SUCCESS
Other than 082179374778INCORRECT DESTINATION NUMBER

Request Body

AttributesTypeDescriptionMandatory
usernameStringYour registered phone numberYes
customer_idStringCustomer IDYes
signStringSignature. Value: md5(username+api_key+customer_id)Yes
{
  "username"    : "123123123",
  "customer_id" : "082179374778",
  "sign"        : "df1f2be3585597a5ec102b792555adc9"
}
<?xml version="1.0"?>
<mp>
  <username>123123123</username>
  <customer_id>082179374778</customer_id>
  <sign>df1f2be3585597a5ec102b792555adc9</sign>
</mp>

Response

AttributesTypeDescriptionMandatory
statusStringTransaction Status. List of status:
1:SUCCESS 2:FAILED
Yes
customer_idStringCustomer IDYes
nameStringCustomer nameYes
messageStringMessageYes
rcStringResponse code. See response code listYes
{
  "data": {
    "status": "1",
    "customer_id": "082179374778",
    "name": "OVO Txxs",
    "message": "SUCCESS",
    "rc": "00"
  }
}
<?xml version="1.0"?>
<mp>
  <status>1</status>
  <customer_id>082179374778</customer_id>
  <name>OVO Txxs</name>
  <message>SUCCESS</message>
  <rc>00</rc>
</mp>

Live Testing

Request URL
https://prepaid.iak.dev/api/inquiry-ovo
Request Method
Request Header
Content-Type: application/json
Body
Result